# React Player Libs
React Video Player wrapped-library.

> This project was generated by [Vessel](https://www.npmjs.com/package/@mornya/vessel).

## About
React.js용 비디오 플레이어 래핑 라이브러리. YouTube 및 Vimeo 영상을 플레이 할 수 있는 컴포넌트를 제공한다.

## Installation
해당 모듈을 사용할 프로젝트에서는 아래와 같이 설치한다.
```bash
$ npm install --save @mornya/react-player-libs
or
$ yarn add @mornya/react-player-libs
```

## Usage
특별한 설정 없이, SPA 형태의 앱에서 아래와 같이 바로 사용이 가능하다.

### Example for React.js
```jsx harmony
import * as React from 'react';
import { YouTube, Vimeo } from '@mornya/react-player-libs';

export default () => (
  <>
    <YouTube
      videoId="유튜브 비디오 ID"
      autoplay
      controls
      className={}
      style={}
      onReady={origin => console.log('[YOUTUBE] READY:', origin.getVideoData())}
      onStateChange={(status, origin) => console.log('[YOUTUBE] STATE CHANGED:', status, origin)}
      onFinish={() => console.log('[YOUTUBE] FINISH TO PLAY')}
      onError={err => console.log('[YOUTUBE] ERROR', err)}
    />

    <br/>

    <Vimeo
      videoId="비메오 비디오 ID"
      autoplay
      controls
      className={}
      style={}
      onReady={origin => origin.getVideoTitle()
        .then(title => console.log('[VIMEO] READY:', title))
        .catch(err => console.error(err))
      }
      onStateChange={(status, origin) => console.log('[VIMEO] STATE CHANGED:', status, origin)}
      onFinish={() => console.log('[VIMEO] FINISH TO PLAY')}
      onError={err => console.log('[VIMEO] ERROR', err)}
    />
  </>
)
```

## License
해당 프로젝트의 [LICENSE](LICENSE) 파일 참조.
