/// <reference types="node" />
import * as React from 'react';
interface Props {
    videoId: string;
    autoplay?: boolean;
    controls?: boolean;
    className?: string;
    style?: {};
    onReady?: (oVimeo: any) => void;
    onStateChange?: (currState: string, oVimeo: any) => void;
    onFinish?: () => void;
    onError?: (err: any) => void;
}
interface State {
    playerId: string;
    isPlayerReady: boolean;
    isPlaying: boolean;
    isFirstPlay: boolean;
}
export declare class Vimeo extends React.Component<Props, State> {
    static defaultProps: {
        autoplay: boolean;
        controls: boolean;
        onReady: () => void;
        onStateChange: () => void;
        onFinish: () => void;
        onError: () => void;
    };
    state: State;
    oVimeo: any;
    refWrapper: any;
    resizeTID: NodeJS.Timeout;
    constructor(props: Props);
    private initialize;
    private getConfigure;
    private destroy;
    private onResize;
    private onReady;
    private onStateChange;
    private onError;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props, prevState: State): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
